import { EdgePositions, GraphEdge, GraphNode, HandleElement, Position, Rect, Transform, XYPosition } from '../types'
export declare const getHandlePosition: (position: Position, rect: Rect, handle?: HandleElement | undefined) => XYPosition
export declare const getHandle: (bounds?: HandleElement[], handleId?: string | null | undefined) => HandleElement | undefined
export declare const getEdgePositions: (
  sourceNode: GraphNode,
  sourceHandle: HandleElement | undefined,
  sourcePosition: Position,
  targetNode: GraphNode,
  targetHandle: HandleElement | undefined,
  targetPosition: Position,
) => EdgePositions
interface IsEdgeVisibleParams {
  sourcePos: XYPosition
  targetPos: XYPosition
  sourceWidth: number
  sourceHeight: number
  targetWidth: number
  targetHeight: number
  width: number
  height: number
  transform: Transform
}
export declare function isEdgeVisible({
  sourcePos,
  targetPos,
  sourceWidth,
  sourceHeight,
  targetWidth,
  targetHeight,
  width,
  height,
  transform,
}: IsEdgeVisibleParams): boolean
export declare const groupEdgesByZLevel: (
  edges: GraphEdge[],
  nodes: GraphNode[],
) => {
  edges: GraphEdge<any, any>[]
  level: number
  isMaxLevel: boolean
}[]
export {}
